# TdApi.CallDiscardReason

Package it.ernytech.tdlib

## Class TdApi.CallDiscardReason

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CallDiscardReason

Direct Known Subclasses:
  `TdApi.CallDiscardReasonDeclined`, `TdApi.CallDiscardReasonDisconnected`, `TdApi.CallDiscardReasonEmpty`, `TdApi.CallDiscardReasonHungUp`, `TdApi.CallDiscardReasonMissed`

Enclosing class:
  TdApi

    public abstract static class TdApi.CallDiscardReason
    extends TdApi.Object

This class is an abstract base class. Describes the reason why a call was discarded.

### Constructor Summary

Constructors
`CallDiscardReason()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### CallDiscardReason

    public CallDiscardReason()